BOTCH-GRAPH-SOURCES(1)

NAME
botch-graph-sources - find all sources (vertices without predecessors) in a graph in GraphML or dot format

SYNOPSIS

botch-graph-sources [options] [ingraph] [outgraph]

DESCRIPTION
Extract the subgraph of all sources (vertices without predecessors) in the input graph.

If either (or both) of the positional arguments is/are omitted, then read GraphML or dot from standard input and/or write GraphML or dot to standard output, respectively. Passing a '-' as either argument, explicitly specifies to read the input from standard input and write the output to standard output, respectively.

The input graph type will be determined automatically. If the output graph is given as a filename, then the output type will be GraphML if the filename ends with .xml and dot if the filename ends with .dot. If the output is done on standard output then it will happen in the same format as the input graph.

OPTIONS

-h, --help
    Display help.

-v, --verbose
    Be verbose.

EXAMPLE
Find all source packages that build depend on "texlive-binaries:amd64 (=2015.20150524.37493-5)".

Using package selection and reverse dependency cone computation by ceve:

        dose-ceve -r "texlive-binaries:amd64 (= 2015.20150524.37493-5)" --deb-native-arch=amd64 -G pkg -T grml deb://Packages debsrc://Sources \
                | botch-graph-sources - - \
                | botch-graph2text - "{realpackage} (= {realversion})" --vertex type:src \
                | sort

Using package selection and ancestor vertex computation by botch:

        dose-ceve --deb-native-arch=amd64 -G pkg -T grml deb://Packages debsrc://Sources \
                | botch-graph-ancestors - - --target realpackage:texlive-binaries:amd64 realversion:2015.20150524.37493-5 \
                | botch-graph-sources - - \
                | botch-graph2text - "{realpackage} (= {realversion})" --vertex type:src \
                | sort

BUGS
See <http://bugs.debian.org/botch>.

SEE ALSO
Debian doc-base Manual /usr/share/doc/botch/wiki/Home.html

AUTHOR
This man page was written by Johannes Schauer. Botch is written by Johannes Schauer and Pietro Abate.

COPYRIGHT
Copyright 2012-2014 Johannes Schauer, Pietro Abate

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. A special linking exception to the GNU Lesser General Public License applies to this library, see the COPYING file for more information.